Name:          libXext
Version:       1.3.4
Release:       2mamba
Summary:       X.Org Xext library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        http://ftp.x.org/pub/individual/lib/libXext-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: pkg-config
BuildRequires: xextproto-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: xmlto
%endif
Obsoletes:     libXorg
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X.Org Xext library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description devel
X.Org Xext library.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_includedir}/X11/extensions/lbxbuf.h
rm -f %{buildroot}%{_includedir}/X11/extensions/lbxbufstr.h

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libXext.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXext.a
%{_libdir}/libXext.la
%{_libdir}/libXext.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%dir %{_docdir}/libXext
%{_docdir}/libXext/*
%doc ChangeLog

%changelog
* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-2mamba
- rebuilt with debug package

* Mon Jul 29 2019 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Tue May 10 2011 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Fri Dec 10 2010 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-2mamba
- rebuilt to add pkgconfig provides

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Tue Jan 19 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- exclude headers files provides by liblbxutil 1.1

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Sat Jun 20 2009 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- automatic update by autodist

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
